* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}



.horoscope-container{
width:100%;
min-height:500px;
display:flex;
align-items:center;
justify-content:space-between;
gap:50px;
padding:40px 60px;
background:linear-gradient(135deg,#ff512f,#f09819);
overflow:hidden;
}

/* LEFT SIDE */

.horoscope-left{
position:relative;
width:50%;
display:flex;
align-items:center;
justify-content:center;
}

/* ROTATING WHEEL */

.hand-bg-img{
width:100%;
max-width:450px;
animation:rotateWheel 80s linear infinite;
opacity:0.95;
}

@keyframes rotateWheel{
from{
  transform:rotate(0deg);
}
to{
  transform:rotate(360deg);
}
}

/* CONTENT OVER WHEEL */

.horoscope-content{
position:absolute;
top:50%;
left:50%;
transform:translate(-50%,-50%);
z-index:10;
text-align:center;
}

.horoscope-title{
font-size:29px;
color:#fff;
margin-bottom:25px;
font-family:'Cinzel',serif;
text-shadow:0 0 20px rgba(255,255,255,0.25);
}

/* DATE BOX */

.date-box{
width: 235px;
height:50px;
background:#fff;
border-radius:18px;
display:flex;
align-items:center;
justify-content:center;
color:#ff512f;
font-size:18px;
font-weight:600;
margin:auto;
box-shadow:0 10px 30px rgba(0,0,0,0.2);
}
.date-box::before {
  content: "";
  position: absolute;

  background: linear-gradient(
    45deg,
    transparent,
    rgba(255, 255, 255, 0.15),
    transparent
  );
}

/* GRID */

.zodiac-grid {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 20px 20px;
}

.zodiac-item {
  text-align: center;
  transition: 0.4s ease;
  cursor: pointer;
}

.zodiac-item:hover {
  transform: translateY(-10px) scale(1.05);
}

.circle {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  background: rgb(255, 255, 255);
  backdrop-filter: blur(12px);
  border: 2px solid rgba(255, 255, 255, 0.15);
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  transition: 0.4s;
  box-shadow:
    0 0 20px rgba(255, 255, 255, 0.08),
    inset 0 0 12px rgba(255, 255, 255, 0.06);
}

.zodiac-item:hover .circle {
  border-color: #f9d976;
  box-shadow:
    0 0 25px rgba(249, 217, 118, 0.45),
    inset 0 0 20px rgba(249, 217, 118, 0.15);
}

.circle img {
  width: 50px;
  height: 50px;
  object-fit: contain;
  transition: 0.4s;
}

.zodiac-item:hover img {
  transform: scale(1.1) rotate(5deg);
}

.zodiac-name {
  margin-top: 14px;
  font-size: 16px;
  font-weight: 500;
  color: #f8f4ff;
  letter-spacing: 0.5px;
}

/* RESPONSIVE */

@media (max-width: 1100px) {
  body {
    overflow: auto;
  }

  .container {
    flex-direction: column;
    align-items: flex-start;
    padding: 50px 30px;
  }

  .zodiac-grid {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media (max-width: 700px) {
  .title {
    font-size: 50px;
  }

  .zodiac-grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .circle {
    width: 85px;
    height: 85px;
  }
}

@media (max-width: 500px) {
  .zodiac-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;
  }

  .title {
    font-size: 42px;
  }

  .date-box {
    width: 220px;
    height: 75px;
    font-size: 24px;
  }
}


.horoscope-form-card{
width: 800px;

background: #f9f6ee;
border-radius: 16px;
padding: 40px;
box-shadow: 0 10px 25px rgba(0,0,0,0.15);
margin :60px auto;
border: 2px solid #ff512f;

}
h2 {

margin-bottom: 25px;
color: #333;
}

h2 span {
color: #ff7a00;
text-decoration: underline;
}

.row {
  display: flex;
  margin-bottom: 20px;
}

/*.kundli-form-section .form-group {
  width: 100%;
  margin:10px;
}*/

.kundli-form-section input, select {
  width: 100%;
  padding: 17px;
  border-radius: 8px;
  border: 1px solid #ccc;
  outline: none;
  font-size: 14px;
}

.kundli-form-section label {
  font-size: 14px;
  margin-bottom: 6px;
  display: block;
  color: #333;
}

.section {
  margin-bottom: 15px;
}


.kundli-form-section .submit-btn{
  background: linear-gradient(90deg, #FF512F 0%, #F09819 50%, #FF512F 100%);
  border: none;
  color: #fff;
  padding: 12px 25px;
  border-radius: 8px;
  cursor: pointer;
  font-size: 16px;
  display: flex;
  align-items: center;
  gap: 8px;
  margin:0 auto;
}

.horoscope-info{
  width:100%;
  padding:0px 100px;
  background:#fff;
  color:#000000;
}

.horoscope-info h2{
  text-align:center;
  font-size:38px;
  margin-bottom:20px;
  color:#ff512f;
}
h4{  
  font-size:32px;
  margin-bottom:20px;
  color:#ff512f;
}
/* paragraph left aligned */
.horoscope-info .horoscope-discription{
  text-align:center!important;

  color:#000000;
  line-height:1.6;
}

/* EACH SIGN BOX */

.zodiac-info-box{
  margin-top:20px;
  padding:20px 0px;
  border-radius:15px;
  background:#fff7f2;

}

.zodiac-info-box h3{
  font-size:22px;
  margin-bottom:10px;
  color:#ff512f;
}

.zodiac-info-box p{
  text-align:left;
  margin-bottom:15px;
  color:#000000;
}

/* BUTTON ROW */

.btn-row{
  display:flex;
  flex-wrap:wrap;
  gap:12px;
}

.btn-row button{
  padding:16px 12px;
  border:none;
  border-radius:8px;
  background: linear-gradient(90deg, #FF512F 0%, #F09819 50%, #FF512F 100%);
  color:white;
  cursor:pointer;
  font-size:16px;
  transition:0.3s;
}
